package be.jeffcheasey88.peeratcode.framework;

import org.jose4j.jwt.JwtClaims;

import be.jeffcheasey88.peeratcode.framework.Locker.Key;

public class User{

	private int id;
	private Key key;

	public User(JwtClaims jwtClaims){
		this.id = ((Long) jwtClaims.getClaimValue("id")).intValue();
	}
	
	public void setKey(Key key){
		this.key = key;
	}
	
	public Key getKey(){
		return this.key;
	}

	public int getId(){
		return this.id;
	}
}